Bug 1268174 - Misleading error from dnf on multi-lib conflict
Misleading error from dnf on multi-lib conflict
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On: 1148627
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 20:35 EDT by Dan Mossor [danofsatx]
Modified: 2016-07-19 14:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:05:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Mossor [danofsatx] 2015-10-01 20:35:47 EDT
When attempting to update one $arch of a package that has a multilib version installed, dnf gives a misleading error. 

For example, I have multilib versions of libX11 installed. While attempting to update from rdieter's copr for a QA test, I only had the x86_64 copr enabled. dnf reported "Error: cannot install both libX11-1.6.3-1.fc22.1.x86_64 and libX11-1.6.3-1.fc22.x86_64" which gave zero indication of the actual problem.

Using yum-deprecated, I was able to discover the root problem: 
Protected multilib versions: libX11-1.6.3-1.fc22.1.x86_64 != libX11-1.6.3-1.fc22.i686

Yum displayed the actual error, that only one $arch of a multilib installed package was being updated and both arches needed to be in sync.

Once the i686 copr was enabled, dnf proceeded normally.

dnf should report that the problem is a multilib problem, not just that two x86_64 versions can't be installed at the same time.
Comment 1 Honza Silhan 2015-10-13 09:41:11 EDT
Thanks for the report.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:29:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-07-19 14:05:30 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.